New stop order

Order type wchich is often called a stop loss. Stop order have similar usage - it just protects you againsts loss of funds. After reaching a stopRate value which is determined by last transaction rate - our stop order is realizing on the market.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "amount": "0.55",
  "rate": "30100",
  "stopRate": "30200",
  "offerType": "BUY",
  "mode": "stop-limit"
}
{
  "amount": "0.55",
  "stopRate": "30200",
  "offerType": "SELL",
  "mode": "stop-market"
}
{
  "amount": "0.55",
  "stopRate": "30200",
  "offerType": "SELL",
  "mode": "stop-market",
  "ignoreInvalidStopRate": true
}
{
  "amount": "0.55",
  "rate": "30100",
  "stopRate": "30200",
  "offerType": "BUY",
  "mode": "stop-limit",
  "balances": {
    "first": "01dd158d-7011-4bbc-98f3-80f09d7e24b8",
    "second": "69d14efe-0b1b-413f-ada4-4a8a975b7d76"
  }
}

Response details

KeyTypeDescription
statusStringStatus of stop offer execution: Ok / Fail.
stopOfferIdUUIDUnique id of stop offer.
📘

In case of ignoreInvalidStopRate usage and immediately transaction execute - the response will not show any of realized transactions.

Path Params
string
required
Defaults to BTC-PLN

Symbol of trading pair that your request refers to.

Body Params
string
required

Offer type: buy / sell.

float
required

Amount of cryptocurrency.

float
required

Rate of the last transaction which will activate our offer.

string
required

Order mode: stop-limit / stop-market.

float

Offer rate. Not required in stop-market mode.

balances
array

An array with UUIDs of the wallets to make a offer: first / second. The example is available below.

balances
boolean
Defaults to false

If you want to realize an offer though invalid stopRate - it will be executed immediately - you can add this parameter with true value.

Response

Language
Credentials
LoadingLoading…
Response
Choose an example:
application/json